Name:                junit-addons
Version:             1.4
Release:             1
Summary:             JUnitX helper classes for JUnit
License:             ASL 1.1
Url:                 http://sourceforge.net/projects/junit-addons/
Source0:             http://sourceforge.net/projects/%{name}/files/JUnit-addons/JUnit-addons%20%{version}/%{name}-%{version}.zip
Source1:             %{name}-build.xml
Source2:             https://repo1.maven.org/maven2/junit-addons/junit-addons/%{version}/junit-addons-%{version}.pom
Patch0:              junit-addons-1.4-enum.patch
BuildRequires:       javapackages-local ant apache-commons-logging jaxen jdom junit xerces-j2
BuildRequires:       xml-commons-apis
Requires:            ant jaxen jdom junit xerces-j2
BuildArch:           noarch
%description
JUnit-addons is a collection of helper classes for JUnit.

%package help
Summary:             Javadoc for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}
%description help
This package contains javadoc for %{name}.

%prep
%setup -q
%jar xf src.jar
find . -name "*.class" -delete
find . -type f -name "*.jar" -delete
find . -type f -name "*.zip" -delete
%patch0 -p0
rm -r api
cp -p %{SOURCE1} build.xml
for s in src/main/junitx/framework/TestSuite.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done
sed -i "s| test, ||" build.xml

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%ant \
  -Dant.build.javac.source=1.6 \
  -Djdom.jar=$(build-classpath jdom) \
  -Djaxen.jar=$(build-classpath jaxen) \
  -Dsaxpath.jar=$(build-classpath jaxen) \
  -Dant.jar=$(build-classpath ant.jar) \
  -Djunit.jar=$(build-classpath junit) \
  -Dxerces.jar=$(build-classpath xerces-j2) \
  -Dxml-apis.jar=$(build-classpath xml-commons-apis) \
  -Dcommons-logging.jar=$(build-classpath commons-logging) \
  -Dproject.name=%{name} \
  -Dproject.version=%{version} \
  release

%install
%mvn_file : %{name}
%mvn_artifact %{SOURCE2} dist/%{name}-%{version}.jar
%mvn_install -J build/api

%files -f .mfiles
%doc README WHATSNEW
%license LICENSE

%files help -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Aug 24 2020 wangyue <wangyue92@huawei.com> - 1.4-1
- package init
